Bug 68635 - Debugging is turned on by default
Debugging is turned on by default
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Copeland
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-11 17:34 EDT by Chip Shabazian
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-11 17:34:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chip Shabazian 2002-07-11 17:34:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:
in /etc/php.ini, in the [debugger] section, the debugger.enabled value is set 
to true.  While this is nice for debugging, it causes problems with people 
behind a firewall that access php pages that perform certain functions.  This 
feature should be set to false by default as debugging is not something you 
normally want on by default.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. use a php script like squirrelmail
2. be behind a firewall (I don't know if NAT is required or not)
3.
	

Actual Results:  3 minute 10 second delay doing certain functions, including 
just retrieving the login page.

Expected Results:  3 minute 10 second delay

Additional info:

I noticed the problem while running ethereal and noticing that the server was 
trying to contact my machine on port 7869.  By looking at php.ini, I discovered 
the debugging was turned on, and set to port 7869, which was of course blocked 
by my firewall.  Turning off debugging fixes the problem, as does opening port 
7869 (which most people are NOT going to be able to figure out)
Comment 1 Phil Copeland 2002-08-05 14:09:50 EDT
Ack,..
Turned off by default now

Phil
=--=

Note You need to log in before you can comment on or make changes to this bug.